aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.local/bin/changeoutput
diff options
context:
space:
mode:
authorYaroslav <contact@yaroslavps.com>2020-01-17 19:14:34 +0300
committerYaroslav <contact@yaroslavps.com>2020-01-17 19:14:34 +0300
commit5eee5b44924bf9079a67d5bc7612bfad56ddeed3 (patch)
tree0408697aba64aa3f012f134bdc35316841a4b404 /dotfiles/.local/bin/changeoutput
parent8f672e8a119e9efd23272f7cb0ff4550872f9d47 (diff)
downloadswayrice-5eee5b44924bf9079a67d5bc7612bfad56ddeed3.tar.gz
swayrice-5eee5b44924bf9079a67d5bc7612bfad56ddeed3.zip
config restructuring and cleanup
Diffstat (limited to 'dotfiles/.local/bin/changeoutput')
-rwxr-xr-xdotfiles/.local/bin/changeoutput18
1 files changed, 18 insertions, 0 deletions
diff --git a/dotfiles/.local/bin/changeoutput b/dotfiles/.local/bin/changeoutput
new file mode 100755
index 0000000..eab2cf9
--- /dev/null
+++ b/dotfiles/.local/bin/changeoutput
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+if [ -z "$1" ]; then
+ echo "Usage: $0 <sinkId/sinkName>" >&2
+ echo "Valid sinks:" >&2
+ pactl list short sinks >&2
+ exit 1
+fi
+
+newSink="$1"
+
+pactl list short sink-inputs|while read stream; do
+ streamId=$(echo $stream|cut '-d ' -f1)
+ echo "moving stream $streamId"
+ pactl move-sink-input "$streamId" "$newSink"
+done
+
+pactl set-default-sink $newSink